package model

import (
	"gorm.io/plugin/soft_delete"
	"time"
)

// ApprovalExhibition 绑定的画展包
type ApprovalExhibition struct {
	ID            uint64                `gorm:"primaryKey;column:id" json:"id"`             // ID
	DeletedAt     soft_delete.DeletedAt `gorm:"column:deleted_at" json:"deletedAt"`         // 删除时间
	CreatedAt     time.Time             `gorm:"column:created_at" json:"createdAt"`         // 创建时间
	UpdatedAt     time.Time             `gorm:"column:updated_at" json:"updatedAt"`         // 更新时间
	ApprovalID    uint64                `gorm:"column:approval_id" json:"approvalId"`       // 申请的id
	ExhibitionID  uint64                `gorm:"column:exhibition_id" json:"exhibitionId"`   // 画展包的id
	PackageName   string                `gorm:"column:package_name" json:"PackageName"`     // 作品名称
	PackageID     uint64                `gorm:"column:package_id" json:"packageID"`         // 作品类型id
	PackageSize   uint64                `gorm:"column:package_size" json:"PackageSize"`     // 平尺数
	PackageNumber string                `gorm:"column:package_number" json:"packageNumber"` // 序号
}

// TableName get sql table name.获取数据库表名
func (m *ApprovalExhibition) TableName() string {
	return "approval_exhibition"
}

// ApprovalExhibitionColumns get sql column name.获取数据库列名
var ApprovalExhibitionColumns = struct {
	ID               string
	DeletedAt        string
	CreatedAt        string
	UpdatedAt        string
	ApprovalID       string
	ExhibitionID     string
	ExhibitionName   string
	ArtworkID        string
	ExhibitionSize   string
	ExhibitionNumber string
}{
	ID:               "id",
	DeletedAt:        "deleted_at",
	CreatedAt:        "created_at",
	UpdatedAt:        "updated_at",
	ApprovalID:       "approval_id",
	ExhibitionID:     "exhibition_id",
	ExhibitionName:   "exhibition_name",
	ArtworkID:        "artwork_id",
	ExhibitionSize:   "exhibition_size",
	ExhibitionNumber: "exhibition_number",
}
