package serializer

import (
	"github.com/fonchain_enterprise/fonchain-approval/api/approval"
	"github.com/fonchain_enterprise/fonchain-approval/pkg/model"
)

//BuildSetting 处理单个detail返回
func BuildSetting(entity *model.DepartmentApprovalSetting) *approval.SettingRequest {
	var copyUsers []*approval.CopyUser

	for _, copyUser := range entity.CopyUsers {
		temp := &approval.CopyUser{
			ID:   copyUser.ID,
			Name: copyUser.Name,
		}

		copyUsers = append(copyUsers, temp)
	}

	response := &approval.SettingRequest{
		ID:           entity.ID,
		Domain:       entity.Domain,
		DepartmentID: entity.DepartmentID,
		CopyUsers:    copyUsers,
		ApproverID:   entity.ApproverID,
		ApproverName: entity.ApproverName,
	}

	return response
}
